gi-cairo-1.0.17: Cairo bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria (garetxe@gmail.com)
Safe Haskell | None
Language | Haskell2010

GI.Cairo.Structs.Region

Contents

- Exported types

Description

No description available in the introspection data.

Synopsis

- newtype Region = Region (ManagedPtr Region)
- noRegion :: Maybe Region

# Exported types

newtype Region Source #

Memory-managed wrapper type.

Constructors

Region (ManagedPtr Region) |

Instances

BoxedObject Region Source # |
Instance details Defined in GI.Cairo.Structs.Region Methods boxedType :: Region -> IO GType Source #

noRegion :: Maybe Region Source #

A convenience alias for `Nothing` :: `Maybe` `Region`.